Data Fields
_PurpleConversation Struct Reference

A core representation of a conversation between two or more people. More...

`#include <conversation.h>`

## Data Fields
PurpleConversationType | type
| The type of conversation. More...
PurpleAccount * | account
| The user using this conversation. More...
char * | name
| The name of the conversation. More...
char * | title
| The window title. More...
gboolean | logging
| The status of logging. More...
GList * | logs
| This conversation's logs.
union {
PurpleConvIm * im
| IM-specific data. More...
PurpleConvChat * chat
| Chat-specific data. More...
void * misc
| Misc. More...
} | u
PurpleConversationUiOps * | ui_ops
| UI-specific operations. More...
void * | ui_data
| UI-specific data. More...
GHashTable * | data
| Plugin-specific data. More...
PurpleConnectionFlags | features
| The supported features.
GList * | message_history
| Message history, as a GList of PurpleConvMessage's.

## Detailed Description

A core representation of a conversation between two or more people.

The conversation can be an IM or a chat.

Definition at line 338 of file conversation.h.

## Field Documentation

## ◆ account

PurpleAccount* _PurpleConversation::account

The user using this conversation.

Definition at line 342 of file conversation.h.

## ◆ chat

PurpleConvChat* _PurpleConversation::chat

Chat-specific data.

Definition at line 355 of file conversation.h.

## ◆ data

GHashTable* _PurpleConversation::data

Plugin-specific data.

Definition at line 363 of file conversation.h.

## ◆ im

PurpleConvIm* _PurpleConversation::im

IM-specific data.

Definition at line 354 of file conversation.h.

## ◆ logging

gboolean _PurpleConversation::logging

The status of logging.

Definition at line 348 of file conversation.h.

## ◆ misc

void* _PurpleConversation::misc

Misc.

data.

Definition at line 356 of file conversation.h.

## ◆ name

char* _PurpleConversation::name

The name of the conversation.

Definition at line 345 of file conversation.h.

## ◆ title

char* _PurpleConversation::title

The window title.

Definition at line 346 of file conversation.h.

## ◆ type

PurpleConversationType _PurpleConversation::type

The type of conversation.

Definition at line 340 of file conversation.h.

## ◆ ui_data

void* _PurpleConversation::ui_data

UI-specific data.

Definition at line 361 of file conversation.h.

## ◆ ui_ops

PurpleConversationUiOps* _PurpleConversation::ui_ops

UI-specific operations.

Definition at line 360 of file conversation.h.

The documentation for this struct was generated from the following file:

- conversation.h